document.getElementById('balance-form').onsubmit = async function(e) {
    e.preventDefault();
    const cano = document.getElementById('cano').value;
    const acnt_prdt_cd = document.getElementById('acnt_prdt_cd').value;
    const response = await fetch(`/balance?cano=${cano}&acnt_prdt_cd=${acnt_prdt_cd}`);
    const data = await response.json();
    displayResults(data, 'balance-results');
};

async function sellAll() {
    const response = await fetch(`/sell_all`, { method: 'POST' });
    const data = await response.json();
    alert(data.message);
}

async function cancelAll() {
    const response = await fetch(`/cancel_orders`, { method: 'POST', headers: { 'Content-Type': 'application/json' }, body: JSON.stringify({ cancel_all: true }) });
    const data = await response.json();
    alert(data.message);
}

function displayResults(data, elementId) {
    let resultsDiv = document.getElementById(elementId);
    resultsDiv.innerHTML = '';

    if (data.output1 && data.output1.length > 0) {
        let output1Table = '<h2>Output1</h2><table><tr>';
        output1Table += '<th>상품번호</th><th>상품명</th><th>매매구분명</th><th>전일매수수량</th><th>전일매도수량</th>';
        output1Table += '<th>금일매수수량</th><th>금일매도수량</th><th>보유수량</th><th>주문가능수량</th><th>매입평균가격</th>';
        output1Table += '<th>매입금액</th><th>현재가</th><th>평가금액</th><th>평가손익금액</th><th>평가손익율</th>';
        output1Table += '<th>평가수익율</th><th>대출일자</th><th>대출금액</th><th>대주매각대금</th><th>만기일자</th>';
        output1Table += '<th>주식대출단가</th><th>전일대비증감</th><th>등락율</th></tr>';
        
        data.output1.forEach(item => {
            output1Table += '<tr>';
            output1Table += `<td>${item.pdno}</td><td>${item.prdt_name}</td><td>${item.trad_dvsn_name}</td>`;
            output1Table += `<td>${item.bfdy_buy_qty}</td><td>${item.bfdy_sll_qty}</td><td>${item.thdt_buyqty}</td>`;
            output1Table += `<td>${item.thdt_sll_qty}</td><td>${item.hldg_qty}</td><td>${item.ord_psbl_qty}</td>`;
            output1Table += `<td>${item.pchs_avg_pric}</td><td>${item.pchs_amt}</td><td>${item.prpr}</td>`;
            output1Table += `<td>${item.evlu_amt}</td><td>${item.evlu_pfls_amt}</td><td>${item.evlu_pfls_rt}</td>`;
            output1Table += `<td>${item.evlu_erng_rt}</td><td>${item.loan_dt}</td><td>${item.loan_amt}</td>`;
            output1Table += `<td>${item.stln_slng_chgs}</td><td>${item.expd_dt}</td><td>${item.stck_loan_unpr}</td>`;
            output1Table += `<td>${item.bfdy_cprs_icdc}</td><td>${item.fltt_rt}</td>`;
            output1Table += '</tr>';
        });

        output1Table += '</table>';
        resultsDiv.innerHTML += output1Table;
    } else {
        resultsDiv.innerHTML += '<p>Output1 데이터가 없습니다.</p>';
    }

    if (data.output2 && data.output2.length > 0) {
        let output2Table = '<h2>Output2</h2><table><tr>';
        output2Table += '<th>예수금총금액</th><th>익일정산금액</th><th>가수도정산금액</th><th>CMA평가금액</th>';
        output2Table += '<th>전일매수금액</th><th>금일매수금액</th><th>익일자동상환금액</th><th>전일매도금액</th>';
        output2Table += '<th>금일매도금액</th><th>D+2자동상환금액</th><th>전일제비용금액</th><th>금일제비용금액</th>';
        output2Table += '<th>총대출금액</th><th>유가평가금액</th><th>총평가금액</th><th>순자산금액</th>';
        output2Table += '<th>융자금자동상환여부</th><th>매입금액합계금액</th><th>평가금액합계금액</th><th>평가손익합계금액</th>';
        output2Table += '<th>총대주매각대금</th><th>전일총자산평가금액</th><th>자산증감액</th><th>자산증감수익율</th>';
        output2Table += '<th>실현손익</th><th>실현수익율</th><th>실평가손익</th><th>실평가손익수익율</th></tr>';
        
        data.output2.forEach(item => {
            output2Table += '<tr>';
            output2Table += `<td>${item.dnca_tot_amt}</td><td>${item.nxdy_excc_amt}</td><td>${item.prvs_rcdl_excc_amt}</td>`;
            output2Table += `<td>${item.cma_evlu_amt}</td><td>${item.bfdy_buy_amt}</td><td>${item.thdt_buy_amt}</td>`;
            output2Table += `<td>${item.nxdy_auto_rdpt_amt}</td><td>${item.bfdy_sll_amt}</td><td>${item.thdt_sll_amt}</td>`;
            output2Table += `<td>${item.d2_auto_rdpt_amt}</td><td>${item.bfdy_tlex_amt}</td><td>${item.thdt_tlex_amt}</td>`;
            output2Table += `<td>${item.tot_loan_amt}</td><td>${item.scts_evlu_amt}</td><td>${item.tot_evlu_amt}</td>`;
            output2Table += `<td>${item.nass_amt}</td><td>${item.fncg_gld_auto_rdpt_yn}</td><td>${item.pchs_amt_smtl_amt}</td>`;
            output2Table += `<td>${item.evlu_amt_smtl_amt}</td><td>${item.evlu_pfls_smtl_amt}</td><td>${item.tot_stln_slng_chgs}</td>`;
            output2Table += `<td>${item.bfdy_tot_asst_evlu_amt}</td><td>${item.asst_icdc_amt}</td><td>${item.asst_icdc_erng_rt}</td>`;
            output2Table += `<td>${item.rlzt_pfls}</td><td>${item.rlzt_erng_rt}</td><td>${item.real_evlu_pfls}</td>`;
            output2Table += `<td>${item.real_evlu_pfls_erng_rt}</td>`;
            output2Table += '</tr>';
        });

        output2Table += '</table>';
        resultsDiv.innerHTML += output2Table;
    } else {
        resultsDiv.innerHTML += '<p>Output2 데이터가 없습니다.</p>';
    }
}
